### Method

# WebKit WebExtensionMatchPattern get_matches_all_hosts

since: 2.48

#### Declaration [src]

    gboolean
    webkit_web_extension_match_pattern_get_matches_all_hosts (
      WebKitWebExtensionMatchPattern* matchPattern
    )

#### Description [src]

Gets whether the match pattern matches all host. This happens when the pattern is `<all_urls>`, or if `*` is set as the host string.

Available since: 2.48

#### Return value

Type: `gboolean`

Whether this match pattern matches all hosts.